//---------------------------------------------------------------------------
#ifndef pic16f630H
#define pic16f630H
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
//--- Общие функции ---------------------------------------------------------
//---------------------------------------------------------------------------
bool PIC16F630_SetPCToConfigMemory(void);                               // установить указатель адреса в область конфига
bool PIC16F630_MakePCOffset(unsigned int Offset, bool PB);              // сдвинуть указатель адреса на требуемую величину (PB = 0 - не использовать прогресс-бар, PB = 1 - использовать прогресс-бар)
bool PIC16F630_ReadProgramMemory(unsigned int Address, bool Action);    // прочитать/сравнить слово программы по указанному адресу
bool PIC16F630_ReadConfigMemory(unsigned int Address, bool Action);     // прочитать/сравнить слово конфигурации по указанному адресу
bool PIC16F630_ReadConfigMemoryMask(unsigned int Address, unsigned short Mask); // прочитать слово конфигурации по указанному адресу, сохранить нужные биты (по маске)
bool PIC16F630_ReadDataMemory(unsigned int Address, bool Action);       // прочитать/сравнить слово данных по указанному адресу
bool PIC16F630_WriteProgramMemory(unsigned int Address, bool Action);   // записать слово программы по указанному адресу (Action=0 - Internally timed, Action=1 - Externally timed)
bool PIC16F630_WriteConfigMemory(unsigned int Address, bool Action);    // записать слово конфигурации по указанному адресу (Action=0 - Internally timed, Action=1 - Externally timed)
bool PIC16F630_WriteDataMemory(unsigned int Address, bool Action);      // записать слово данных по указанному адресу (Action=0 - Internally timed, Action=1 - Externally timed)
bool PIC16F630_LoadDataToProgramMemory(unsigned short Data);            // загрузить слово в память программ
bool PIC16F630_BulkEraseProgramMemory(void);                            // стереть память программы/конфигурации
bool PIC16F630_BulkEraseDataMemory(void);                               // стереть память данных
//---------------------------------------------------------------------------
#endif
